;;; DO NOT MODIFY THIS FILE
(if (featurep 'semantic-autoloads) (error "Already loaded"))

;;;### (autoloads nil "_pkg" "semantic/_pkg.el")

(package-provide 'semantic :version 1.11 :type 'regular)

;;;***

;;;### (autoloads (semantic-create-imenu-index) "semantic-imenu" "semantic/semantic-imenu.el")

(autoload 'semantic-create-imenu-index "semantic-imenu" "\
Create an imenu index for any buffer which supports Semantic.
Uses the output of the Semantic Bovinator to create the index.
Optional argument STREAM is an optional stream of tokens used to create menus." nil nil)

;;;***

;;;### (autoloads nil "semantic-util" "semantic/semantic-util.el")

(defcustom semantic-show-dirty-mode nil "*If non-nil enable the use of `semantic-show-dirty-mode'." :group 'semantic :type 'boolean :require 'semantic-util :initialize 'custom-initialize-default :set (lambda (sym val) (semantic-show-dirty-mode (if val 1 -1)) (custom-set-default sym val)))

;;;***

;;;### (autoloads (semantic-bovinate-toplevel) "semantic" "semantic/semantic.el")

(autoload 'semantic-bovinate-toplevel "semantic" "\
Bovinate the entire current buffer.
If the optional argument CHECKCACHE is non-nil, then make sure the
cached token list is up to date.  If a partial reparse is possible, do
that, otherwise, do a full reparse." nil nil)

;;;***

;;;### (autoloads nil "semanticdb" "semantic/semanticdb.el")

(defcustom semanticdb-global-mode nil "*If non-nil enable the use of `semanticdb-minor-mode'." :group 'semantic :type 'boolean :require 'semanticdb :initialize 'custom-initialize-default :set (lambda (sym val) (global-semanticdb-minor-mode (if val 1 -1)) (custom-set-default sym val)))

;;;***

;;;### (autoloads (senator-word-search-backward senator-re-search-backward senator-search-backward senator-word-search-forward senator-re-search-forward senator-search-forward senator-completion-menu-popup senator-complete-symbol senator-jump senator-previous-token senator-next-token) "senator" "semantic/senator.el")

(autoload 'senator-next-token "senator" "\
Navigate to the next Semantic token.
Return the token or nil if at end of buffer." t nil)

(autoload 'senator-previous-token "senator" "\
Navigate to the previous Semantic token.
Return the token or nil if at beginning of buffer." t nil)

(autoload 'senator-jump "senator" "\
Jump to the semantic symbol SYM.

If optional IN-CONTEXT is non-nil jump in the local type's context
\(see function `senator-current-type-context').  If optional
NO-DEFAULT is non-nil do not provide a default value.

When called interactively you can combine the IN-CONTEXT and
NO-DEFAULT switches like this:

- - \\[universal-argument]       IN-CONTEXT.
- - \\[universal-argument] -     NO-DEFAULT.
- - \\[universal-argument] \\[universal-argument]   IN-CONTEXT + NO-DEFAULT." t nil)

(autoload 'senator-complete-symbol "senator" "\
Complete the current symbol under point.
If optional argument CYCLE-ONCE is non-nil, only cycle through the list
of completions once, doing nothing where there are no more matches." t nil)

(autoload 'senator-completion-menu-popup "senator" "\
Popup a completion menu for the symbol at point.
The popup menu displays all of the possible completions for the symbol
it was invoked on.  To automatically split large menus this function
use `imenu--mouse-menu' to handle the popup menu." t nil)

(autoload 'senator-search-forward "senator" "\
Search semantic tokens forward from point for string WHAT.
Set point to the end of the occurrence found, and return point.  See
`search-forward' for details and the meaning of BOUND NOERROR and
COUNT.  COUNT is just ignored in the current implementation." t nil)

(autoload 'senator-re-search-forward "senator" "\
Search semantic tokens forward from point for regexp WHAT.
Set point to the end of the occurrence found, and return point.  See
`re-search-forward' for details and the meaning of BOUND NOERROR and
COUNT.  COUNT is just ignored in the current implementation." t nil)

(autoload 'senator-word-search-forward "senator" "\
Search semantic tokens forward from point for word WHAT.
Set point to the end of the occurrence found, and return point.  See
`word-search-forward' for details and the meaning of BOUND NOERROR and
COUNT.  COUNT is just ignored in the current implementation." t nil)

(autoload 'senator-search-backward "senator" "\
Search semantic tokens backward from point for string WHAT.
Set point to the beginning of the occurrence found, and return point.
See `search-backward' for details and the meaning of BOUND NOERROR and
COUNT.  COUNT is just ignored in the current implementation." t nil)

(autoload 'senator-re-search-backward "senator" "\
Search semantic tokens backward from point for regexp WHAT.
Set point to the beginning of the occurrence found, and return point.
See `re-search-backward' for details and the meaning of BOUND NOERROR
and COUNT.  COUNT is just ignored in the current implementation." t nil)

(autoload 'senator-word-search-backward "senator" "\
Search semantic tokens backward from point for word WHAT.
Set point to the beginning of the occurrence found, and return point.
See `word-search-backward' for details and the meaning of BOUND
NOERROR and COUNT.  COUNT is just ignored in the current
implementation." t nil)

;;;***

(provide 'semantic-autoloads)
